# PublishToMavenRepository

API Documentation: | `PublishToMavenRepository`

Publishes a `MavenPublication` to a `MavenArtifactRepository`.

### Properties

Property | Description
`publication` | The publication to be published.
`repository` | The repository to publish to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `MavenPublication` `publication`

The publication to be published.

#### `MavenArtifactRepository` `repository`

The repository to publish to.